
QGIS Application - Bug report #9576

SLD rule-based style export loses quotes around layer names

2014-02-16 12:43 PM - Trygve Wastvedt

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.0.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 18159

Description

When exporting a rule-based layer style to an sld file, any quotes in the rules are removed. If layers have hyphens in their names, this

causes a problem when reloading the sld file.

History

#1 - 2015-12-13 01:24 PM - Sebastian Dietrich

I can not reproduce using the current master (commit:262514d97d0ac754e5c2989a2ae85c0eb54c7242).

What are the exact steps to reproduce?

Can you attach an affected SLD file?

#2 - 2016-01-12 04:25 PM - Sebastian Dietrich

- Status changed from Open to Feedback

#3 - 2016-04-09 11:50 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary,
